## Struct nop

boost::log::nop — The function object that does nothing.

## Synopsis

    // In header: <boost/log/utility/functional/nop.hpp>

    struct nop {
      // types
      typedef void result_type;

      // public member functions
      void operator()() const noexcept;
      template<typename... ArgsT> void operator()(ArgsT const &) const noexcept;
    };

## Description

### `nop` public member functions

1.     void operator()() const noexcept;

2.     template<typename... ArgsT> void operator()(ArgsT const & ...) const noexcept;